Check crypto invoice
POST/api/invoice/crypto-invoice/check
Checks cryptocurrency deposit invoice details and calculated values before invoice creation.
Request
- application/json
- Body
- Example
Bodyrequired
Crypto deposit invoice check payload.
Receiver Currency.
Possible values: [USD, EUR, USDT, USDC]
USDSender Currency.
Possible values: [BTC, ETH, SOL, TRX, XRP, TON, LTC, AVAX, BNB, POL, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, USDT_TON, USDC, USDC_ERC20, USDC_BEP20, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDAmount.
Possible values: >= 0
10.25Transfer Action.
Possible values: [GIVE, GET]
GIVENote.
Possible values: <= 255 characters
Sandbox transfer noteHosted Checkout name set in your Volet.com account.
test-valueOrder Id.
Possible values: <= 64 characters
ORDER_123456Sub Merchant URL.
test-value{
"receiverCurrency": "USD",
"senderCurrency": "USD",
"amount": 10.25,
"transferAction": "GIVE",
"note": "Sandbox transfer note",
"sciName": "test-value",
"orderId": "ORDER_123456",
"subMerchantURL": "test-value"
}
Responses
- 200
- 400
- 401
- 404
- 500
OK
- application/json
- Schema
- Example
Schema
Receiver Currency.
Possible values: [USD, EUR, GBP, RUB, UAH, KZT, BRL, TRY, AZN, ARS, AUD, BDT, CAD, CLP, COP, DOP, EGP, HKD, INR, IDR, JPY, MYR, MXN, MAD, NPR, NZD, PKR, PEN, PHP, SGD, ZAR, KRW, LKR, THB, AED, VND, CNY, CNH, BTC, BNB, BNB_BEP20, BNB_BEP2, BNB_ERC20, BCH, DAI, DOGE, DOGE_DOGENT, DOGE_BEP2, DOGE_BEP20, ETH, LTC, USDP, XRP, SHIB, SHIB_BEP20, SHIB_ERC20, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, TUSD, USDC, USDC_ERC20, USDC_BEP20, USDC_BEP2, ZEC, BUSD, BUSD_BEP20, BUSD_ERC20, BUSD_TRC20, TON, SOL, ADA, AVAX, DOT, LINK, NEAR, POL, DASH, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDSender Currency.
Possible values: [USD, EUR, GBP, RUB, UAH, KZT, BRL, TRY, AZN, ARS, AUD, BDT, CAD, CLP, COP, DOP, EGP, HKD, INR, IDR, JPY, MYR, MXN, MAD, NPR, NZD, PKR, PEN, PHP, SGD, ZAR, KRW, LKR, THB, AED, VND, CNY, CNH, BTC, BNB, BNB_BEP20, BNB_BEP2, BNB_ERC20, BCH, DAI, DOGE, DOGE_DOGENT, DOGE_BEP2, DOGE_BEP20, ETH, LTC, USDP, XRP, SHIB, SHIB_BEP20, SHIB_ERC20, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, TUSD, USDC, USDC_ERC20, USDC_BEP20, USDC_BEP2, ZEC, BUSD, BUSD_BEP20, BUSD_ERC20, BUSD_TRC20, TON, SOL, ADA, AVAX, DOT, LINK, NEAR, POL, DASH, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDAmount.
Possible values: >= 0
10.25Transfer Action.
Possible values: [GIVE, GET]
GIVENote.
Possible values: <= 255 characters
Sandbox transfer noteHosted Checkout name set in your Volet.com account.
test-valueOrder Id.
Possible values: <= 64 characters
ORDER_123456Sub Merchant URL.
test-valueSender Amount.
10.25Receiver Amount.
10.25Expiration Date.
Expiration Date Millis.
{
"receiverCurrency": "USD",
"senderCurrency": "USD",
"amount": 10.25,
"transferAction": "GIVE",
"note": "Sandbox transfer note",
"sciName": "test-value",
"orderId": "ORDER_123456",
"subMerchantURL": "test-value",
"senderAmount": 10.25,
"receiverAmount": 10.25,
"expirationDate": "2026-01-15T10:30:00",
"expirationDateMillis": "2026-01-15T10:30:00"
}
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}